#pragma once
#include "filter.h"

class Delay :
	public Filter
{
public:
	Delay(int maxBuffer);
public:
	virtual ~Delay();
	virtual void Process(short* dataIn, short* dataOut, int length, COpenALTestDlg* parent);
private:
	const static int BUF_SIZE = 4000;
	short ringBuffer[BUF_SIZE];
	int ringPointer;
};
