#pragma once
#include "filter.h"

class Downsampler :
	public Filter
{
public:
	Downsampler(int maxBuffer);
public:
	~Downsampler(void);
	virtual void Process(short* dataIn, short* dataOut, int length, COpenALTestDlg* parent);
private:
	const static int NUM_HISTORY = 32;
	short history[NUM_HISTORY];
	int historyCounter;
	int downsampleCounter;
	short output;
};
