#include "StdAfx.h"
#include "Filter.h"
#include "OpenAlTestDlg.h"
#include <math.h>

Filter::Filter(int maxBuffer)
{
	this->maxBuffer = maxBuffer;
}

Filter::~Filter(void)
{
}

void Filter::Process(short* dataIn, short* dataOut, int length, COpenALTestDlg* parent)
{
	WaitForSingleObject(parent->sliderMutex, INFINITE);
	double a = parent->slider1;
	ReleaseMutex(parent->sliderMutex);

	for(int i = 0; i < length; i++)
	{
		dataOut[i] = (short)(a*dataIn[i]); // TODO: should be exponential
	}
}