// OpenALTestDlg.h : header file
//

#pragma once

#include "resource.h"

#include "al.h"
#include "alc.h"
#include "afxcmn.h"

// COpenALTestDlg dialog
class COpenALTestDlg : public CDialog
{
// Construction
public:
	COpenALTestDlg(CWnd* pParent = NULL);	// standard constructor
	~COpenALTestDlg();

// Dialog Data
	enum { IDD = IDD_OPENALTEST_DIALOG };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

public:
	// to make them accessible to the thread; ugly
	ALCdevice *device;
	ALCcontext* context;
	bool stopping;
	LONG volatile numThreads;
	HANDLE fileNameMutex; // has to be locked for every access to fileName
	HANDLE sliderMutex; // has to be locked for every access of slider1, ...

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnStart();
public:
	afx_msg void OnBnClickedStart();
public:
	afx_msg void OnBnClickedStop();
public:
	CString fileName;
public:
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
public:
	double slider1;
	double slider2;
public:
	CSliderCtrl cSlider1;
public:
	CSliderCtrl cSlider2;
};
